# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.3.0] - 2023-08-07
### Changed
- let the session expire when the token expires
- link from logo to start page
- move common page header to templates/base.gohtml
- implement caching for static resources
### Added
- add identity output to index page
- add a separate protected resource page

## [0.2.0]
### Changed
- re-order configuration precedence
    1. default config file idp.toml
    2. config files given via the `--conf` command line argument
    3. environment variables with the `RESOURCE_APP_` prefix
### Fixed
- fix logged application name

## [0.1.0] - 2023-07-29
### Changed
- initial release
